CLICK WARP! HELP

Discussion in 'Spigot Plugin Help' started by Marius1999, Apr 17, 2019.

  1. [20:57:02 WARN]: [ClickWarp] Plugin ClickWarp v1.3.5 generated an exception while executing task 25
    java.lang.NoSuchMethodError: org.bukkit.Server.getOnlinePlayers()[Lorg/bukkit/entity/Player;
    at de.comniemeer.ClickWarp.Metrics.postPlugin(Metrics.java:357) ~[?:?]
    at de.comniemeer.ClickWarp.Metrics.access$4(Metrics.java:350) ~[?:?]
    at de.comniemeer.ClickWarp.Metrics$1.run(Metrics.java:245) ~[?:?]
    at org.bukkit.craftbukkit.v1_12_R1.scheduler.CraftTask.run(CraftTask.java:76) ~[spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.craftbukkit.v1_12_R1.scheduler.CraftAsyncTask.run(CraftAsyncTask.java:52) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:1.8.0_202]
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:1.8.0_202]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_202]
     
  2. This error occurs when the plugin you are using (In this case ClickWarp) was written in an outdated form (Some time during / before 1.7) however you are using it on an up to date server which has a different way of handling it, thus causing an error: You can either backdate your server jar testing <=1.7 versions until it works, or you can see if there has been an update to the plugin / get someone to update it.

    EDIT: if you have the source and it's not too complex i would do it for you as its a relatively simple fix.
     
  3. The plugin works perfect, but it spams my console

    can you please fix it?
     
  4. Do you have the original plugins code?
     
  5. Well if you can send it that would be helpful..
     
  6. I do not know what it is, help please
     
  7. We cannot help you without the code of the plugin.
     
  8. Something in plugin is broken and it can't be fixed without modifying its source. You can try to use other methods for making functionality this plugin provides if that is what you are after. If you want to keep this plugin you can just wait for its developer to fix it. And chek which versions are supported by this plugin as you may be using unsupported version of server.
     
  9. I had to replace the plugin with another, more updated ... thanks to all